Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 574902 (CVE-2016-2392) - <app-emulation/qemu-2.5.0-r2: usb: null pointer dereference in remote NDIS control message handling (CVE-2016-2392)
Summary: <app-emulation/qemu-2.5.0-r2: usb: null pointer dereference in remote NDIS co...
Status: RESOLVED FIXED
Alias: CVE-2016-2392
Product: Gentoo Security
Classification: Unclassified
Component: Vulnerabilities (show other bugs)
Hardware: All Linux
: Normal minor (vote)
Assignee: Gentoo Security
URL: http://www.openwall.com/lists/oss-sec...
Whiteboard: B3 [glsa cve]
Keywords:
Depends on: 578044
Blocks:
  Show dependency tree
 
Reported: 2016-02-16 16:51 UTC by Agostino Sarubbo
Modified: 2016-04-02 18:28 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Agostino Sarubbo gentoo-dev 2016-02-16 16:51:48 UTC
From ${URL} :

Qemu emulator built with the USB Net device emulation support is vulnerable to 
a NULL pointer dereference issue. It could occur while processing remote NDIS 
control message packets, when the USB configuration descriptor object is null.

A privileged user inside guest could use this flaw to crash the Qemu process 
instance resulting in DoS.

Upstream patch:
---------------
   -> https://lists.gnu.org/archive/html/qemu-devel/2016-02/msg02553.html

Reference:
----------
   -> https://bugzilla.redhat.com/show_bug.cgi?id=1302299

This issue was discovered by Qinghao Tang of 360.cn Marvel Team.



@maintainer(s): after the bump, in case we need to stabilize the package, please let us know if it is ready for the stabilization or not.
Comment 2 SpanKY gentoo-dev 2016-03-23 05:26:28 UTC
this is in qemu-2.5.0-r2 and is fine for stable
Comment 3 Aaron Bauman Gentoo Infrastructure gentoo-dev Security 2016-03-23 06:15:09 UTC
Added to existing GLSA.
Comment 4 Yury German Gentoo Infrastructure gentoo-dev Security 2016-04-02 17:22:17 UTC
Clean as part of bug #567420
Comment 5 GLSAMaker/CVETool Bot gentoo-dev 2016-04-02 18:28:17 UTC
This issue was resolved and addressed in
 GLSA 201604-01 at https://security.gentoo.org/glsa/201604-01
by GLSA coordinator Yury German (BlueKnight).